> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# トレーニング ジョブのイベントを取得

> トレーニングジョブのイベントを取得します。



## OpenAPI

````yaml /ja/serverless-training/api-reference/openapi.json get /v1/preview/training-jobs/{training_job_id}/events
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/training-jobs/{training_job_id}/events:
    get:
      tags:
        - training-jobs
      summary: トレーニング ジョブのイベントを取得
      description: トレーニングジョブのイベントを取得します。
      operationId: >-
        get_training_job_events_v1_preview_training_jobs__training_job_id__events_get
      parameters:
        - in: path
          name: training_job_id
          required: true
          schema:
            title: Training Job Id
            type: string
        - description: ページネーション用カーソル
          in: query
          name: after
          required: false
          schema:
            description: ページネーション用カーソル
            title: After
            type: string
        - description: 返す項目数
          in: query
          name: limit
          required: false
          schema:
            default: 20
            description: 返す項目数
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_TrainingJobEventResponse_
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_TrainingJobEventResponse_:
      properties:
        data:
          description: 項目の配列
          items:
            $ref: '#/components/schemas/TrainingJobEventResponse'
          title: Data
          type: array
        first_id:
          default: ''
          description: 現在のページの最初の項目の ID
          title: First Id
          type: string
        has_more:
          description: 利用可能な項目がさらにあるかどうか
          title: Has More
          type: boolean
        last_id:
          default: ''
          description: 現在のページの最後の項目の ID
          title: Last Id
          type: string
        object:
          default: list
          description: オブジェクトのタイプ識別子
          title: Object
          type: string
      required:
        - data
        - has_more
      title: PaginatedResponse[TrainingJobEventResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TrainingJobEventResponse:
      description: TrainingJobEvent レスポンスのスキーマ。
      properties:
        data:
          additionalProperties: true
          title: Data
          type: object
        id:
          format: uuid
          title: Id
          type: string
        type:
          $ref: '#/components/schemas/TrainingJobEventType'
      required:
        - id
        - type
        - data
      title: TrainingJobEventResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    TrainingJobEventType:
      description: TrainingJob のイベントタイプを表す列挙型。
      enum:
        - training_started
        - gradient_step
        - training_ended
        - training_failed
      title: TrainingJobEventType
      type: string
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````